Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003918opensim[REGION] OpenSim Corepublic2009-07-20 00:222010-10-04 14:11
ReporterInstant Blue 
Assigned ToFly-Man- 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0003918: Music URL not saving in database
DescriptionGo to a parcels "About Land" dialog.
Change Music URL to "http://scfire-mtc-aa02.stream.aol.com:80/stream/1065" [^]
Go to another parcel
Make sure you own the parcel.
Create a script that executes the following:
llSetParcelMusicURL("http://scfire-mtc-aa02.stream.aol.com:80/stream/1065" [^]);

Log off with the client
Execute the "quit" command in OpenSim
Run OpenSim

Notice that only the parcel that had its audio setup through the client (not the script) still remembers its audio settings. walk off the parcel that had it's audio setup through the client and come back. It still has the URL specified, but the client does not offer the "play audio" button.

Execute the following query in the database

select mediaurl, * from land where not mediaurl = ''

notice that none of the parcels have the media url setup.
Additional InformationHippo OpenSim Viewer 0.5.1 (LL 1.22.11) Mar 24 2009 17:47:38 (Hippo Release)
Release Notes

You are at 2558452.8, 2555963.4, 22.1 in Bidstrup located at c-76-100-8-247.hsd1.va.comcast.net (76.100.8.247:9016)
OpenSim 0.6.6 (Dev) .10051 (OS Microsoft Windows NT 6.0.6001 Service Pack 1) ChilTasks:True PhysPrim:True


CPU: Intel Pentium III/Pentium III Xeon (0.25 micron process) with external L2 cache (3177 MHz)
Memory: 4095 MB
OS Version: Microsoft Windows Vista Service Pack 1 (Build 6001)
Graphics Card Vendor: NVIDIA Corporation
Graphics Card: GeForce 9600 GT/PCI/SSE2
OpenGL Version: 2.1.2

libcurl Version: libcurl/7.16.4 OpenSSL/0.9.7c zlib/1.2.3
J2C Decoder Version: KDU
Audio Driver Version: FMOD version 3.740000
LLMozLib Version: [LLMediaImplLLMozLib] - 2.01.25497 (Mozilla GRE version 1.8.1.13_0000000000)
Packets Lost: 3/4341 (0.1%)
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics
Environment.NET / Windows64
Mono VersionNone
Viewer
Attached Files

- Relationships
related to 0004992closedFly-Man- Making Parcel media settings stick 

-  Notes
(0012527)
Instant Blue (reporter)
2009-07-20 00:59

I was looking at the wrong field in the database. "MusicURL" is being updated, but there is still a lot of odd behavior with the music when crossing and entering regions.
(0012792)
Fly-Man- (developer)
2009-08-08 06:31

I haven't seen this work on my version sofar, the music isn't coming back when set on a parcel, then leaving that parcel and after 5 mins walking back in

The play button stays unactivated
(0016788)
Fly-Man- (developer)
2010-09-09 03:18

Patch was submitted for this and applied as commit 0a83fde85c8cffa1da46ef0a17390399ae74fa61

With a retest, this issue has been resolved, the music comes back when crossing parcels or regions.

- Issue History
Date Modified Username Field Change
2009-07-20 00:22 Instant Blue New Issue
2009-07-20 00:22 Instant Blue SVN Revision => 0
2009-07-20 00:22 Instant Blue Run Mode => Grid (Multiple Regions per Sim)
2009-07-20 00:22 Instant Blue Physics Engine => BasicPhysics
2009-07-20 00:22 Instant Blue Environment => .NET / Windows64
2009-07-20 00:22 Instant Blue Mono Version => None
2009-07-20 00:59 Instant Blue Note Added: 0012527
2009-08-08 06:31 Fly-Man- Note Added: 0012792
2009-08-08 06:31 Fly-Man- Status new => feedback
2010-08-27 17:59 Fly-Man- Relationship added related to 0004992
2010-09-09 03:18 Fly-Man- Status feedback => resolved
2010-09-09 03:18 Fly-Man- Fixed in Version => master (dev code)
2010-09-09 03:18 Fly-Man- Resolution open => fixed
2010-09-09 03:18 Fly-Man- Assigned To => Fly-Man-
2010-09-09 03:18 Fly-Man- Note Added: 0016788
2010-10-04 14:11 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker